> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Template

> Create a template.



## OpenAPI

````yaml POST /v1/templates
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/templates:
    post:
      tags:
        - templates
      description: Create a template.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                summary:
                  type: string
                description:
                  type: string
                tags:
                  type: array
                  items:
                    type: object
                    properties:
                      title:
                        type: string
                      color:
                        type: string
                        pattern: ^#[0-9A-Fa-f]{6}$
                      icon:
                        type: string
                    required:
                      - title
                      - color
                blogUrl:
                  type: string
                metadata:
                  anyOf:
                    - type: object
                      propertyNames:
                        type: string
                      additionalProperties: {}
                    - type: 'null'
                author:
                  type: string
                categories:
                  type: array
                  items:
                    type: string
                type:
                  type: string
                  enum:
                    - OFFICIAL
                    - SHARED
                    - CUSTOM
                flows:
                  type: array
                  items:
                    type: object
                    properties:
                      displayName:
                        type: string
                      trigger:
                        anyOf:
                          - type: object
                            properties:
                              name:
                                type: string
                                pattern: ^[a-zA-Z_][a-zA-Z0-9_]*$
                              valid:
                                type: boolean
                              displayName:
                                type: string
                              nextAction: {}
                              lastUpdatedDate:
                                type: string
                              type:
                                type: string
                                enum:
                                  - PIECE_TRIGGER
                              settings:
                                type: object
                                properties:
                                  sampleData:
                                    type: object
                                    properties:
                                      sampleDataFileId:
                                        type: string
                                      sampleDataInputFileId:
                                        type: string
                                      lastTestDate:
                                        type: string
                                  propertySettings:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties:
                                      type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - MANUAL
                                            - DYNAMIC
                                        schema: {}
                                      required:
                                        - type
                                  customLogoUrl:
                                    type: string
                                  pieceName:
                                    type: string
                                  pieceVersion:
                                    type: string
                                    pattern: ^([~^])?[0-9]+\.[0-9]+\.[0-9]+$
                                  triggerName:
                                    type: string
                                  input:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                required:
                                  - propertySettings
                                  - pieceName
                                  - pieceVersion
                                  - input
                            required:
                              - name
                              - valid
                              - displayName
                              - lastUpdatedDate
                              - type
                              - settings
                          - type: object
                            properties:
                              name:
                                type: string
                                pattern: ^[a-zA-Z_][a-zA-Z0-9_]*$
                              valid:
                                type: boolean
                              displayName:
                                type: string
                              nextAction: {}
                              lastUpdatedDate:
                                type: string
                              type:
                                type: string
                                enum:
                                  - EMPTY
                              settings: {}
                            required:
                              - name
                              - valid
                              - displayName
                              - lastUpdatedDate
                              - type
                              - settings
                      valid:
                        type: boolean
                      schemaVersion:
                        anyOf:
                          - type: string
                          - type: 'null'
                      description:
                        type: string
                      notes:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            content:
                              type: string
                            ownerId:
                              anyOf:
                                - type: string
                                - type: 'null'
                            color:
                              type: string
                              enum:
                                - orange
                                - red
                                - green
                                - blue
                                - purple
                                - yellow
                            position:
                              type: object
                              properties:
                                x:
                                  type: number
                                'y':
                                  type: number
                              required:
                                - x
                                - 'y'
                            size:
                              type: object
                              properties:
                                width:
                                  type: number
                                height:
                                  type: number
                              required:
                                - width
                                - height
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                          required:
                            - id
                            - content
                            - color
                            - position
                            - size
                            - createdAt
                            - updatedAt
                    required:
                      - displayName
                      - trigger
                      - valid
              required:
                - name
                - summary
                - description
                - author
                - categories
                - type
        required: true
      responses:
        '200':
          description: Default Response
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````